Package org.eclipse.rdf4j.common.xml

## Interface SimpleSAXListener

- All Known Implementing Classes:
    `SimpleSAXAdapter`

      public interface SimpleSAXListener

  A listener for events reported by SimpleSAXParser.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `endDocument()` | Notifies the listener that the parser has finished parsing.
    `void` | `endTag​(String tagName)` | Reports an end tag to the listener.
    `void` | `startDocument()` | Notifies the listener that the parser has started parsing.
    `void` | `startTag​(String tagName, Map<String,​String> atts, String text)` | Reports a start tag to the listener.

- - ### Method Detail

    - #### startDocument

          void startDocument()
                      throws SAXException

      Notifies the listener that the parser has started parsing.
      Throws:
        `SAXException`

    - #### endDocument

          void endDocument()
                    throws SAXException

      Notifies the listener that the parser has finished parsing.
      Throws:
        `SAXException`

    - #### startTag

          void startTag​(String tagName,
                        Map<String,​String> atts,
                        String text)
                 throws SAXException

      Reports a start tag to the listener. The method call reports the tag's name, the attributes that were found in the start tag and any text that was found after the start tag.
      Parameters:
        `tagName` - The tag name.
        `atts` - A map containing key-value-pairs representing the attributes that were found in the start tag.
        `text` - The text immediately following the start tag, or an empty string if the start tag was followed by a nested start tag or if no text (other than whitespace) was found between start- and end tag.
      Throws:
        `SAXException`

    - #### endTag

          void endTag​(String tagName)
               throws SAXException

      Reports an end tag to the listener.
      Parameters:
        `tagName` - The tag name.
      Throws:
        `SAXException`